Dorward's Ramblings

MySQL

Published on

Keith Devens is annoyed with MySQL for not supporting subqueries, which is does, but only if you use 4.1 or newer. Then you run into the new license which some people dislike. On Friday I hit a similar problem with new features being added; the development system I was working on had a version which supported the OFFSET keyword, but the target system didn't. It was resolved by changing "LIMIT $limit OFFSET $offset" to "LIMIT $offset, $limit", once I tracked down the syntax. It was a tad close to the deadline for my liking though.